aboutsummaryrefslogtreecommitdiffstats
path: root/packages/initscripts/initscripts-1.0
diff options
context:
space:
mode:
authorAndrew Wilcox <andy@protium.com>2006-12-07 19:43:13 +0000
committerAndrew Wilcox <andy@protium.com>2006-12-07 19:43:13 +0000
commitf68d2c99fa7ca759e2a1e76f856aa59a71bae59f (patch)
tree3bd009b557adc8340b0c599a221dd6a260f0b5ce /packages/initscripts/initscripts-1.0
parent0165cbef046ef6a02bf096806f2e72d3785358a5 (diff)
downloadopenembedded-f68d2c99fa7ca759e2a1e76f856aa59a71bae59f.tar.gz
initscripts/initscripts-1.0: add openprotium on storcenter specific scripts and bb file.
Diffstat (limited to 'packages/initscripts/initscripts-1.0')
-rw-r--r--packages/initscripts/initscripts-1.0/openprotium/.mtn2git_empty0
-rw-r--r--packages/initscripts/initscripts-1.0/openprotium/devfs.sh5
-rwxr-xr-xpackages/initscripts/initscripts-1.0/openprotium/devices70
-rw-r--r--packages/initscripts/initscripts-1.0/openprotium/devices.patch52
-rw-r--r--packages/initscripts/initscripts-1.0/openprotium/domainname.sh5
-rwxr-xr-xpackages/initscripts/initscripts-1.0/openprotium/flashclean60
-rwxr-xr-xpackages/initscripts/initscripts-1.0/openprotium/halt27
-rwxr-xr-xpackages/initscripts/initscripts-1.0/openprotium/reboot12
8 files changed, 231 insertions, 0 deletions
diff --git a/packages/initscripts/initscripts-1.0/openprotium/.mtn2git_empty b/packages/initscripts/initscripts-1.0/openprotium/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/initscripts/initscripts-1.0/openprotium/.mtn2git_empty
diff --git a/packages/initscripts/initscripts-1.0/openprotium/devfs.sh b/packages/initscripts/initscripts-1.0/openprotium/devfs.sh
new file mode 100644
index 0000000000..5765ca648c
--- /dev/null
+++ b/packages/initscripts/initscripts-1.0/openprotium/devfs.sh
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+mount -t devfs none /dev
+
+
diff --git a/packages/initscripts/initscripts-1.0/openprotium/devices b/packages/initscripts/initscripts-1.0/openprotium/devices
new file mode 100755
index 0000000000..f83ea63598
--- /dev/null
+++ b/packages/initscripts/initscripts-1.0/openprotium/devices
@@ -0,0 +1,70 @@
+#!/bin/sh
+#
+# Devfs handling script. Since we arent running devfsd due to various reasons
+# which I will not lay out here, we need to create some links for compatibility.
+
+. /etc/default/rcS
+
+# exit without doing anything if udev is active
+if test -e /dev/.udev -o -e /dev/.udevdb; then
+ exit 0
+fi
+
+if test -e /dev/.devfsd
+then
+ if test "$VERBOSE" != "no"; then echo -n "Setting up device links for devfs: "; fi
+ [ -e /dev/.linksmade ] && exit 0
+
+ ln -s /dev/tts/0 /dev/ttySA0
+ ln -s /dev/tts/1 /dev/ttySA1
+
+ ln -s /dev/sound/dsp /dev/dsp
+ ln -s /dev/sound/mixer /dev/mixer
+
+ ln -s /dev/misc/rtc /dev/rtc
+
+ #
+ # some friendly disk links
+ #
+ ln -s /dev/discs/disc0/disc /dev/hda
+ ln -s /dev/discs/disc1/disc /dev/hdb
+ for i in 1 2 3 4; do
+ ln -s /dev/discs/disc0/part$i /dev/hda$i
+ ln -s /dev/discs/disc1/part$i /dev/hdb$i
+ done
+
+ ## need this so that ppp will autoload the ppp modules
+ mknod /dev/ppp c 108 0
+ ln -s /dev/zero /dev/.linksmade
+
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+else
+ if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
+ mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+ if test "$VERBOSE" != "no"; then echo -n "Populating /dev: "; fi
+ cd /
+ mkdir -p dev/input
+ mkdir -p dev/msys
+ mkdir -p dev/pts
+ mkdir -p dev/vc
+ mkdir -p dev/snd
+ mkdir -p dev/tts
+ for i in 0 1 2 3 4 5 6 7 8 9; do
+ ln -s /dev/tty$i /dev/vc/$i
+ done
+ ln -sf /proc/self/fd /dev/fd
+ ln -sf /proc/kcore /dev/core
+ /sbin/makedevs -r / -D /etc/device_table
+ if test $? -ne 0; then
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ fi
+fi
+
+exit 0
diff --git a/packages/initscripts/initscripts-1.0/openprotium/devices.patch b/packages/initscripts/initscripts-1.0/openprotium/devices.patch
new file mode 100644
index 0000000000..2583b62f48
--- /dev/null
+++ b/packages/initscripts/initscripts-1.0/openprotium/devices.patch
@@ -0,0 +1,52 @@
+#
+# Patch to allow /dev to reside permanently in the file
+# system.
+#
+--- old/devices 2005-05-28 21:51:39.012078699 -0700
++++ new/devices 2005-06-12 00:16:29.222686303 -0700
+@@ -6,7 +6,7 @@
+ . /etc/default/rcS
+
+ # exit without doing anything if udev is active
+-if test -e /dev/.udev -o -e /dev/.udevdb; then
++if test -e /dev/.udev -o -e /dev/.udevdb -o -e /dev/.permanent; then
+ exit 0
+ fi
+
+@@ -37,12 +37,20 @@
+ mknod /dev/ppp c 108 0
+ if test "$VERBOSE" != "no"; then echo "done"; fi
+ else
+- if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
+- mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
+- if test $? -ne 0; then
+- if test "$VERBOSE" != "no"; then echo "failed"; fi
++ if test -e /dev/.noram
++ then
++ # There should be no files, any files will damage the
++ # makedevs script below.
++ rm $(find /dev -type f -print)
++ :>/dev/.noram
+ else
+- if test "$VERBOSE" != "no"; then echo "done"; fi
++ if test "$VERBOSE" != "no"; then echo -n "Mounting /dev ramdisk: "; fi
++ mount -t ramfs ramfs /dev || mount -t tmpfs ramfs /dev
++ if test $? -ne 0; then
++ if test "$VERBOSE" != "no"; then echo "failed"; fi
++ else
++ if test "$VERBOSE" != "no"; then echo "done"; fi
++ fi
+ fi
+ if test "$VERBOSE" != "no"; then echo -n "Populating /dev: "; fi
+ cd /
+@@ -60,6 +68,10 @@
+ if test "$VERBOSE" != "no"; then echo "failed"; fi
+ else
+ if test "$VERBOSE" != "no"; then echo "done"; fi
++ if test -e /dev/.noram
++ then
++ :>/dev/.permanent
++ fi
+ fi
+ fi
+
diff --git a/packages/initscripts/initscripts-1.0/openprotium/domainname.sh b/packages/initscripts/initscripts-1.0/openprotium/domainname.sh
new file mode 100644
index 0000000000..7113467d8c
--- /dev/null
+++ b/packages/initscripts/initscripts-1.0/openprotium/domainname.sh
@@ -0,0 +1,5 @@
+#
+# domainname.sh Set the domainname.
+#
+test -r /etc/defaultdomain &&
+ cat /etc/defaultdomain >/proc/sys/kernel/domainname
diff --git a/packages/initscripts/initscripts-1.0/openprotium/flashclean b/packages/initscripts/initscripts-1.0/openprotium/flashclean
new file mode 100755
index 0000000000..d9a0e1b592
--- /dev/null
+++ b/packages/initscripts/initscripts-1.0/openprotium/flashclean
@@ -0,0 +1,60 @@
+#! /bin/sh
+#
+# This is an init script for openprotium for storcenter
+#
+# This script cleansup after a successful uboot based reflash.
+# A uboot reflash is done by changing the bootloader boot command
+# to tftp a flash image and flash the firmware. However the boot command
+# is never reset back to a regular boot. This way if the flash did
+# not work the next power cycle will cause another reflash. A nice
+# development recovery feature. So this boot script is the mechanism
+# to reset the uboot boot command. Once booted and access it validated
+# this script will issue command to reset the boot command.
+#
+# This command only has a start so stop is not necessary and should
+# as late in the boot process as possible to ensure a successful reboot
+#
+# Copy it to /etc/init.d/flashclean and type
+# update-rc.d flashclean start 99 5
+#
+BOOTCMD="bootm FF800000"
+
+dmesg | grep StorCenter >/dev/null 2>&1
+if [ $? -ne 0 ]; then
+ exit 0
+fi
+
+printenv=/sbin/fw_printenv
+setenv=/sbin/fw_setenv
+test -x "$printenv" -a -x "$setenv" || exit 0
+
+case "$1" in
+ start)
+ # Check to see if any work needs to be done
+ # Need to quote the right hand side, hence the ugly awk.
+ eval `$printenv bootcmd | awk -F= '{printf("%s=\"%s\"", $1, $2)}'`
+ if [ "$bootcmd" = "$BOOTCMD" ]; then
+ exit 0
+ fi
+
+ echo -n "Restoring u-Boot bootcmd"
+ $setenv bootcmd $BOOTCMD > /dev/null 2>&1
+ eval `$printenv bootcmd | awk -F= '{printf("%s=\"%s\"", $1, $2)}'`
+ if [ "$bootcmd" != "$BOOTCMD" ]; then
+ echo " FAILED."
+ exit 1
+ fi
+ echo "."
+ ;;
+ stop)
+ ;;
+ reload|force-reload)
+ ;;
+ restart)
+ ;;
+ *)
+ echo "Usage: /etc/init.d/flashclean {start|stop|reload|restart|force-reload}"
+ exit 1
+esac
+
+exit 0
diff --git a/packages/initscripts/initscripts-1.0/openprotium/halt b/packages/initscripts/initscripts-1.0/openprotium/halt
new file mode 100755
index 0000000000..f22d892d46
--- /dev/null
+++ b/packages/initscripts/initscripts-1.0/openprotium/halt
@@ -0,0 +1,27 @@
+#! /bin/sh
+#
+# halt Execute the halt command.
+#
+# Version: @(#)halt 2.84-2 07-Jan-2002 miquels@cistron.nl
+#
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+
+# See if we need to cut the power.
+if test -x /etc/init.d/ups-monitor
+then
+ /etc/init.d/ups-monitor poweroff
+fi
+
+# Don't shut down drives if we're using RAID.
+hddown="-h"
+if grep -qs '^md.*active' /proc/mdstat
+then
+ hddown=""
+fi
+
+echo "Powering down..."
+scc -p off
+halt -d -f -i -p $hddown
+
+: exit 0
diff --git a/packages/initscripts/initscripts-1.0/openprotium/reboot b/packages/initscripts/initscripts-1.0/openprotium/reboot
new file mode 100755
index 0000000000..05a82be4c0
--- /dev/null
+++ b/packages/initscripts/initscripts-1.0/openprotium/reboot
@@ -0,0 +1,12 @@
+#! /bin/sh
+#
+# reboot Execute the reboot command.
+#
+# Version: @(#)reboot 2.75 22-Jun-1998 miquels@cistron.nl
+#
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+
+echo -n "Rebooting... "
+scc -p restart
+reboot -d -f -i